Bug 470934 - yumdownloader UnicodeDecodeError when running withount arguments and german locale (de_DE.UTF-8)
yumdownloader UnicodeDecodeError when running withount arguments and german l...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 17:49 EST by Till Maas
Modified: 2014-01-21 18:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 14:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-11-10 17:49:20 EST
Description of problem:
If I run yumdonloader on a konsole without any arguments it shows a UnicodeDecodeError

Version-Release number of selected component (if applicable):
yum-utils-1.1.17-1.fc8

How reproducible:
always

Steps to Reproduce:
1. LANG=de_DE.UTF-8 yumdownloader 

  
Actual results:
Backtrace:
Geladene Plugins: priorities, protectbase
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 293, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 58, in main
    self.optparser.print_help()
  File "/usr/lib/python2.5/optparse.py", line 1648, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
  File "/usr/lib/python2.5/codecs.py", line 303, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1387: ordinal not in range(128)

Expected results:
help description

Additional info:
Does not happen with LANG=C
Comment 1 Bug Zapper 2008-11-26 06:17:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Till Maas 2008-11-27 12:16:14 EST
It also appears in yum-utils-1.1.17-2.fc10, but the line of optparse.py is then 1655 and the position is 1377. I change this to Fedora 9 then, because I doubt that it is fixed in F9 but not in F10.
Comment 3 Matěj Cepl 2008-11-29 14:40:31 EST
The same with yum-complete-transations (from yum-utils-1.1.18-2.fc10.noarch):

RROR with rpm_check_debug vs depsolve:
Traceback (most recent call last):
  File "/usr/sbin/yum-complete-transaction", line 207, in <module>
    util = YumCompleteTransaction()
  File "/usr/sbin/yum-complete-transaction", line 114, in __init__
    self.main()
  File "/usr/sbin/yum-complete-transaction", line 192, in main
    if self.doTransaction() == 0:
  File "/usr/share/yum-cli/cli.py", line 409, in doTransaction
    print to_utf8(msg)
  File "/usr/lib64/python2.5/codecs.py", line 303, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 31: ordinal not in range(128)
[root@hubmaier ~]# LANG=C yum-complete-transaction
Comment 4 Tobias Mueller 2009-02-08 17:08:44 EST
Can't reproduce. Is it fixed or the reproduction recipe missing anything?


muelli@bigbox ~ $ sudo LC_MESSAGES=de_DE.UTF-8 yum-complete-transaction
Geladene Plugins: priorities, refresh-packagekit
96 packages excluded due to repository priority protections
No unfinished transactions left.
muelli@bigbox ~ $
Comment 5 Till Maas 2009-02-08 17:30:06 EST
(In reply to comment #4)
> Can't reproduce. Is it fixed or the reproduction recipe missing anything?

The bug reported by me is still present in yum-utils-1.1.19-1.fc10, but it is about "yumdownloader", not about "yum-complete-transaction", I guess "yum-complete-transaction" is fixed.
Comment 6 Tobias Mueller 2009-02-08 18:01:25 EST
Oh, indeed.

Perfectly reproducible:

$ LC_ALL=de_DE.utf8 yumdownloader
Geladene Plugins: priorities, refresh-packagekit
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 295, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 48, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 62, in main
    self.optparser.print_help()
  File "/usr/lib64/python2.5/optparse.py", line 1655, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
  File "/usr/lib64/python2.5/codecs.py", line 303, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1377: ordinal not in range(128)
Comment 7 seth vidal 2009-02-27 14:59:52 EST
Found it - if we use print_help() we get the above.

but b/c we setup the locale stuff ourselves if we do: print format_help() then it works.

Changed in upstream for yum-builddep, yumdownloader and debuginfo-install.

thanks

Note You need to log in before you can comment on or make changes to this bug.